# coding=utf-8
from base.APIMessage import *
from base.APISender import *
from base.APITag import *
from base.APITagGroup import *
from base.APITagSegment import *
from base.APITagMessage import *



#鉴权接口调用获得authToken
#appSecret,appId,appKey都在注册账号之后获得
sender = APISender("d6783862-3701-42b4-9923-f57c845519f4")
rec = sender.get_token('10000', "9c29fe5f-ea67-46d3-951f-81da78d2c029")
print(rec['authToken'])

'''
sender_send = APISender("7265f2a4-ebbb-44bf-88b9-b03e67dfdc5b")
sender_send.set_token('929122df-c019-485a-9177-fdb5c9752a84')
'''
'''
#单推消息体
message = PushMessage()\
    .reg_id('15696613450081000089754') \
    .ali_as('alias') \
    .title('title标题')\
    .content('content内容')\
    .notify_type(1)\
    .network_type(-1)\
    .skip_type(2)\
    .skip_content('www.vivo.com')\
    .time_to_live(1000)\
    .request_id('1234567890123456') \
    .client_custom_map(key1='value1',key2='value2') \
    .extra("http://www.vivo.com", "vivo")\
    .message_dict()
#单推消息接口
rec2 = sender_send.send(message)
print(rec2)
'''



'''
#群推消息体
save_list = PushMessage()\
    .title('title标题')\
    .content('content内容')\
    .notify_type(1)\
    .network_type(-1)\
    .skip_type(2)\
    .skip_content('www.vivo.com')\
    .time_to_live(1000)\
    .request_id('1234567890123456')\
    .client_custom_map(key1='value1',key2='value2')\
    .extra("http://www.vivo.com", "vivo")\
    .message_dict()
#保存群推消息接口（与群推消息接口配合使用）
rec3 = sender_send.save_list_payload(save_list)
print(rec3)
'''


'''
#群推消息接口（与保存群推消息接口配合使用）
reg_ids = ['15675818170081000063409','15675818170081000063499']
aliases = ['alias1', 'alias2']
send_to_list =  TargetMessage()\
    .task_id('627236391806361600')\
    .reg_ids(reg_ids)\
    .aliases(aliases)\
    .request_id('1234567890123456')\
    .message_dict()
print(sender_send.send_to_list(send_to_list))
'''

'''
#全推消息体
all_message = PushMessage()\
    .title('title')\
    .content('content内容')\
    .notify_type(1)\
    .network_type(-1)\
    .skip_type(2) \
    .skip_content('www.vivo.com')\
    .time_to_live(1000)\
    .request_id('1234567890123456')\
    .client_custom_map(key1='value1',key2='value2')\
    .message_dict()
#全推消息接口
rec4 = sender_send.send_to_all(all_message)
print(rec4)
'''


'''
#获取统计值接口
task = [627236391806361600, 627236391806361601]
task_ids = TaskMessage().task_ids(task).message_dict()
print(sender_send.get_statistics(task_ids))
'''
'''
#标签推消息体
not_tags = ['LJK']
or_tags = ['heiheihei']
'''
'''
and_tags = ['LJK']
message = PushMessage() \
    .and_tags(and_tags)\
    .or_tags(or_tags)\
    .title('title标题') \
    .content('content内容') \
    .notify_type(1) \
    .network_type(-1) \
    .skip_type(2) \
    .skip_content('www.vivo.com') \
    .time_to_live(1000) \
    .request_id('1234567890123456') \
    .client_custom_map(key1='value1',key2='value2') \
    .message_dict()
#单推消息接口
rec2 = sender_send.send_to_tag(message)
print(rec2)
'''
'''
tag_manage = APITag("7265f2a4-ebbb-44bf-88b9-b03e67dfdc5b")
tag_manage.set_token('549dd94b-0108-4a89-8c4a-7cdd2aba3f48')
'''

'''
#新增标签
tag_add = TagMessage() \
    .name('heiheihei') \
    .desc('这是个python的标签') \
    .group('')\
    .message_dict()
print(tag_manage.add_tag(create_tag))
'''
'''
#更新标签
tag_update = TagMessage() \
    .old_name('LJK') \
    .new_name('ljk')\
    .desc('这是个python的新标签') \
    .group('hhh') \
    .message_dict()
print(tag_manage.update_tag(update_tag))
'''

'''
#给标签添加用户设备
reg_ids = ['15675818170081000063409','15675818170081000063499']
members_add = TagMessage() \
    .name('heiheihei') \
    .type(1) \
    .ids(reg_ids) \
    .message_dict()
print(tag_manage.add_members(members_add))
'''
'''
#从标签中移除用户设备
reg_ids = ['15675818170081000063409','15675818170081000063499']
members_remove = TagMessage() \
    .name('LJK') \
    .type(1) \
    .ids(reg_ids) \
    .message_dict()
print(tag_manage.remove_members(members_remove))
'''
'''
tag_group_manage = APITagGroup("7265f2a4-ebbb-44bf-88b9-b03e67dfdc5b")
tag_group_manage.set_token('549dd94b-0108-4a89-8c4a-7cdd2aba3f48')
'''
'''
#新增标签分类
tag_group_add = TagGroupMessage() \
    .name('HHH') \
    .type(1) \
    .desc('这是个python的标签') \
    .message_dict()
print(tag_group_manage.add_tag_group(tag_group_add))
'''
'''
#更新标签分类
tag_group_update = TagGroupMessage() \
    .old_name('HHH') \
    .new_name('hhh') \
    .desc('这是个python的标签') \
    .message_dict()
print(tag_group_manage.update_tag_group(tag_group_update))
'''
'''
#给标签分类添加
tag_list = ['heiheihei','ljk']
add_tag_to_group = TagGroupMessage() \
    .name('hhh') \
    .tag_list(tag_list) \
    .message_dict()
print(tag_group_manage.add_tag_to_group(add_tag_to_group))
'''
'''
tag_segment_manage = APITagSegment("7265f2a4-ebbb-44bf-88b9-b03e67dfdc5b")
tag_segment_manage.set_token('929122df-c019-485a-9177-fdb5c9752a84')
'''

'''
#新增标签分类
not_tags = ['LJK']
or_tags = ['heiheihei']
and_tags = ['LJK']
tag_segment_add = TagSegMessage() \
    .name('HHH') \
    .or_tags(and_tags)\
    .and_tags(or_tags)\
    .not_tags(not_tags)\
    .message_dict()
print(tag_segment_manage.add_tag_segment(tag_segment_add))
'''
'''
#新增标签分类
not_tags = ['LJK']
or_tags = ['heiheihei']
and_tags = ['LJK']
tag_segment_add = TagSegMessage() \
    .old_name('HHH') \
    .new_name('llll')\
    .or_tags(or_tags) \
    .and_tags(or_tags) \
    .not_tags(or_tags) \
    .message_dict()
print(tag_segment_manage.update_tag_segment(tag_segment_add))
'''