# coding=utf-8
from base.APIMessage import *
from base.APISender import *
from base.APITag import *
from base.APITagGroup import *
from base.APITagSegment import *
from base.APITagMessage import *

'''
#鉴权接口调用获得authToken
#appSecret,appId,appKey都在注册账号之后获得
sender = APISender("appSecret")
rec = sender.get_token('appId', "appKey")
print(rec['authToken'])
'''

'''
#发送标签推消息接口
sender_send = APISender("appSecret")
sender_send.set_token('authToken')
'''
'''
#标签推消息体
not_tags = ['not_tag_name']
or_tags = ['or_tag_name']
and_tags = ['and_tag_name']
message = PushMessage() \
    .and_tags(and_tags)\
    .or_tags(or_tags)\
    .not_tags(not_tags) \
    .segment_name("segment_name_new") \
    .title('title标题') \
    .content('content内容') \
    .notify_type(1) \
    .network_type(-1) \
    .skip_type(2) \
    .skip_content('www.vivo.com') \
    .time_to_live(1000) \
    .request_id('1234567890123456') \
    .classification(1)\
    .client_custom_map(key1='value1',key2='value2') \
    .message_dict()
#单推消息接口
rec2 = sender_send.send_to_tag(message)
print(rec2)
'''


'''
#操作标签相关接口
tag_manage = APITag("appSecret")
tag_manage.set_token('authToken')
'''
'''
#新增标签
tag_add = TagMessage() \
    .name('tag_name') \
    .desc('这是个python的标签') \
    .group('tag_group')\
    .message_dict()
print(tag_manage.add_tag(tag_add))
'''
'''
#更新标签
tag_update = TagMessage() \
    .old_name('tag_name') \
    .new_name('tag_name_new')\
    .desc('这是个python的新标签') \
    .group('tag_group') \
    .message_dict()
print(tag_manage.update_tag(tag_update))
'''
'''
#给标签添加用户设备
reg_ids = ['reg_id_1','reg_id_2']
members_add = TagMessage() \
    .name('tag_name') \
    .type(1) \
    .ids(reg_ids) \
    .message_dict()
print(tag_manage.add_members(members_add))
'''
'''
#从标签中移除用户设备
reg_ids = ['reg_id_1','reg_id_2']
members_remove = TagMessage() \
    .name('tag_name') \
    .type(1) \
    .ids(reg_ids) \
    .message_dict()
print(tag_manage.remove_members(members_remove))
'''


'''
#操作标签分类相关接口
tag_group_manage = APITagGroup("appSecret")
tag_group_manage.set_token('authToken')
'''
'''
#新增标签分类
tag_group_add = TagGroupMessage() \
    .name('group_name') \
    .type(1) \
    .desc('这是个python的标签分类') \
    .message_dict()
print(tag_group_manage.add_tag_group(tag_group_add))
'''
'''
#更新标签分类
tag_group_update = TagGroupMessage() \
    .old_name('group_name') \
    .new_name('group_name_new') \
    .desc('这是个新的python的标签分类') \
    .message_dict()
print(tag_group_manage.update_tag_group(tag_group_update))
'''
'''
#给标签分类添加标签
tag_list = ['tag_name_1','tag_name_2']
add_tag_to_group = TagGroupMessage() \
    .name('group_name') \
    .tag_list(tag_list) \
    .message_dict()
print(tag_group_manage.add_tag_to_group(add_tag_to_group))
'''

'''
#标签组合管理相关接口
tag_segment_manage = APITagSegment("appSecret")
tag_segment_manage.set_token('authToken')
'''
'''
#新增标签组合
not_tags = ['not_tag_name']
or_tags = ['or_tag_name']
and_tags = ['and_tag_name']
tag_segment_add = TagSegMessage() \
    .name('segment_name') \
    .or_tags(or_tags)\
    .and_tags(and_tags)\
    .not_tags(not_tags)\
    .message_dict()
print(tag_segment_manage.add_tag_segment(tag_segment_add))
'''
'''
#更新标签组合
not_tags = ['not_tag_name']
or_tags = ['or_tag_name']
and_tags = ['tag_name']
tag_segment_update = TagSegMessage() \
    .old_name('segment_name') \
    .new_name('segment_name_new')\
    .not_tags(not_tags)\
    .or_tags(or_tags)\
    .and_tags(and_tags) \
    .message_dict()
print(tag_segment_manage.update_tag_segment(tag_segment_update))
'''