# coding=utf-8
from base.APIConstants import Constants


class TagMessageDict(dict):
    def __getattr__(self, item):
        try:
            return self[item]
        except KeyError:
            raise AttributeError(r"'TagMessage' object has no attribute %s'" % item)

    def __setattr__(self, key, value):
        self[key] = value

class TagMessage(object):

    def __init__(self):
        self.__message_dict = TagMessageDict()

    def name(self, name):
        self.__message_dict[Constants.http_param_name] = name
        return self

    def old_name(self, old_name):
        self.__message_dict[Constants.http_param_old_name] = old_name
        return self

    def new_name(self, new_name):
        self.__message_dict[Constants.http_param_new_name] = new_name
        return self

    def desc(self, desc):
        self.__message_dict[Constants.http_param_desc] = desc
        return self

    def group(self, group):
        self.__message_dict[Constants.http_param_group] = group
        return self

    def type(self, type):
        self.__message_dict[Constants.http_param_type] = type
        return self

    def ids(self, ids):
        self.__message_dict[Constants.http_param_ids] = ids
        return self

    '''
        message params build method
    '''
    def message_dict(self):
        return self.__message_dict


class TagGroupMessage(object):

    def __init__(self):
        self.__message_dict = TagMessageDict()

    def name(self, name):
        self.__message_dict[Constants.http_param_name] = name
        return self

    def old_name(self, old_name):
        self.__message_dict[Constants.http_param_old_name] = old_name
        return self

    def new_name(self, new_name):
        self.__message_dict[Constants.http_param_new_name] = new_name
        return self

    def desc(self, desc):
        self.__message_dict[Constants.http_param_desc] = desc
        return self

    def type(self, type):
        self.__message_dict[Constants.http_param_type] = type
        return self

    def tag_list(self, tag_list):
        self.__message_dict[Constants.http_param_tag_list] = tag_list
        return self

    '''
        message params build method
    '''
    def message_dict(self):
        return self.__message_dict


class TagSegMessage(object):

    expression={}

    def __init__(self):
        self.__message_dict = TagMessageDict()

    def name(self, name):
        self.__message_dict[Constants.http_param_name] = name
        return self

    def old_name(self, old_name):
        self.__message_dict[Constants.http_param_old_name] = old_name
        return self

    def new_name(self, new_name):
        self.__message_dict[Constants.http_param_new_name] = new_name
        return self

    def or_tags(self,or_tags):
        TagSegMessage.expression[Constants.http_param_or_tags]=or_tags
        self.__message_dict[Constants.http_param_expression] = TagSegMessage.expression
        return self

    def and_tags(self,and_tags):
        TagSegMessage.expression[Constants.http_param_and_tags]=and_tags
        self.__message_dict[Constants.http_param_expression] = TagSegMessage.expression
        return self

    def not_tags(self,not_tags):
        global expression
        TagSegMessage.expression[Constants.http_param_not_tags]=not_tags
        self.__message_dict[Constants.http_param_expression] = TagSegMessage.expression
        return self
    '''
        message params build method
    '''
    def message_dict(self):
        return self.__message_dict